Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452151 - Package 'httpd' has multilib conflicts
Summary: Package 'httpd' has multilib conflicts
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 9
Hardware: powerpc
OS: Linux
low
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 17:13 UTC by Sérgio Durigan Júnior
Modified: 2008-06-30 20:05 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-30 20:05:21 UTC


Attachments (Terms of Use)

Description Sérgio Durigan Júnior 2008-06-19 17:13:00 UTC
Description of problem
======================

The package 'httpd-2.2.8-3' has multilib conflicts when using both PPC and PPC64
versions.


Version-Release number of selected component (if applicable)
============================================================

- httpd-2.2.8-3.ppc
- httpd-2.2.8-3.ppc64

Steps to Reproduce
==================

1. yum install httpd.ppc

2. yum install httpd.ppc64

  
Actual results
==============

An error regarding file conflicts occurs:

Transaction Check Error:
  file /etc/httpd/modules from install of httpd-2.2.8-3.ppc64 conflicts with
file from package httpd-2.2.8-3.ppc

Expected results
================

Both versions of Apache Server should be installed without errors, according to
multilib conventions in Fedora.

Additional info
===============

I'm using Fedora 9.

Comment 1 Joe Orton 2008-06-20 08:31:45 UTC
What do you hope to achieve by installing both httpd packages?  /usr/sbin/httpd
cannot be used from both.

Comment 2 Sérgio Durigan Júnior 2008-06-20 20:25:18 UTC
Yes, and /usr/sbin/httpd actually won't be installed from both packages.
According to Multilib Conventions from Fedora
<http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks>, only one version
(in my specific case, the PPC version) of the binary will be installed. But the
thing is that other files do need to be installed, and (again) according to the
Multilib guide:

"In multilib environments there is a preferred architecture, 64 bit over 32 bit
in x86_64, 32 bit over 64 bit in ppc64. When a conflict is found between two
packages corresponding with different arches, the installed file is the one from
the preferred arch. This is very common for executables in /usr/bin, for
example. If the file /usr/bin/foo is found in an x86_64 package and in an i386
package, the executable from x86_64 will be installed."

Given that, I'd like to know if this specific error that I have reported is
really a bug that should be fixed, or is a normal behaviour.

Thanks.

Comment 3 Sérgio Durigan Júnior 2008-06-27 22:29:07 UTC
Hi Joe,

I'd like to know if you have some status about this issue.

Thanks.

Comment 4 Joe Orton 2008-06-30 07:18:19 UTC
I'd like to know the answer to the question:

What do you hope to achieve by installing both httpd packages?  /usr/sbin/httpd
cannot be used from both.

The "lib" in multilib is important.  httpd is not a library, nor does this
package contain libraries.

Comment 5 Sérgio Durigan Júnior 2008-06-30 20:05:21 UTC
Hi Joe,

You're right. I'm closing this as NOTABUG.

Thanks for your attention.


Note You need to log in before you can comment on or make changes to this bug.